Subject: Re: Unable to build emacs with Intel compilers

From: Paul Eggert <[email-masked]>
Date: Mon, 29 May 2017 13:50:09 -0700

I managed to obtain a copy of icc (ICC) 17.0.2 20170213, the same version in the 
original bug report, and could not reproduce the bug when building Emacs 25.2 on 
Ubuntu 16.04.2 LTS x86-65.

icc's stddef.h defines max_align_t inside this nested #if:

#if __STDC_VERSION__ >= 201112L || __cplusplus >= 201103L
#if !defined(__CLANG_MAX_ALIGN_T_DEFINED) /* || __has_feature(modules) */
#ifndef _MSC_VER

Possibly the original bug occurred when configuring with __STDC_VERSION__ equal 
to 201112, and building with __STDC_VERSION__ equal to some lower value, which 
is not something that is supposed to work in general. Or possibly there was a 
file lib/stddef.h left over from a previous build with some other compiler. 
Anyway, as this bug report looks like a false alarm and is not being followed up 
on, I'm taking the liberty of closing it. We can reopen it later if I was too hasty.